> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capriole.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# モデル一覧

> 現在の公開モデルカタログを返します。

このエンドポイントを使って、現在の公開モデルカタログを取得します。

カタログでは、具体的なモデル ID の前にプロバイダーレベルの latest エイリアスが一覧されます。

* `openai-latest`
* `claude-latest`
* `google-latest`

対応プロバイダーの推奨旗艦モデルを Capriole AI に選ばせたい場合は、latest エイリアスを使ってください。特定のモデル バージョンに固定する必要がある場合は、具体的なモデル ID を使ってください。

| モデルの選び方                                         | 向いている用途                              |
| ----------------------------------------------- | ------------------------------------ |
| `openai-latest`、`claude-latest`、`google-latest` | 一度設定すれば、Capriole AI が推奨旗艦モデルに合わせ続けます |
| `openai/gpt-5.6-terra` などの具体的なモデル ID            | 特定のモデル バージョンに固定します                   |

`POST /v1/chat` と `POST /v1/chat/completions` では、latest エイリアスは次のように解決されます。

| latest エイリアス    | 解決先                             |
| --------------- | ------------------------------- |
| `openai-latest` | `openai/gpt-5.6-terra`          |
| `claude-latest` | `anthropic/claude-fable-5`      |
| `google-latest` | `google/gemini-3.1-pro-preview` |

| エンドポイント                          | latest エイリアス                                    |
| -------------------------------- | ----------------------------------------------- |
| `POST /v1/chat`                  | `openai-latest`、`claude-latest`、`google-latest` |
| `POST /v1/chat/completions`      | `openai-latest`、`claude-latest`、`google-latest` |
| `POST /v1/responses`             | `openai-latest`                                 |
| `POST /v1/messages`              | `claude-latest`                                 |
| `POST /v1/messages/count_tokens` | `claude-latest`                                 |

Anthropic Messages エンドポイントは、`claude-fable-5`、`claude-opus-5`、`claude-opus-4-8`、`claude-opus-4-7`、`claude-opus-4-6`、`claude-sonnet-4-6` などのプレフィックスなしの具体的な Claude Messages ID も受け付けます。

`POST /v1/messages` と `POST /v1/messages/count_tokens` では、`claude-latest` は `claude-fable-5` に解決されます。これは Chat と Chat Completions の latest エイリアスと一致します。

上に示したそのままのエイリアス ID を使ってください。`openai/openai-latest` のようなプロバイダー プレフィックスはクライアント側のセレクター形式であり、Capriole AI のモデル ID ではありません。


## OpenAPI

````yaml api-reference/openapi.json GET /v1/models
openapi: 3.1.0
info:
  title: Capriole AI API
  description: >-
    Public API for model discovery, text chat, and protocol-compatible model
    endpoints.
  version: 1.0.0
servers:
  - url: https://api.caprioletech.com
security: []
paths:
  /v1/models:
    get:
      summary: List public models
      description: Returns the current public model catalog.
      operationId: listModels
      responses:
        '200':
          description: Public model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPublicModelsResponse'
              examples:
                default:
                  value:
                    data:
                      - id: openai-latest
                      - id: openai/gpt-5.6-terra
                      - id: openai/gpt-5.6-luna
                      - id: openai/gpt-5.5
                      - id: openai/gpt-5.4-mini
                      - id: claude-latest
                      - id: anthropic/claude-fable-5
                      - id: anthropic/claude-opus-5
                      - id: anthropic/claude-opus-4-8
                      - id: anthropic/claude-opus-4-7
                      - id: anthropic/claude-opus-4-6
                      - id: anthropic/claude-sonnet-4-6
                      - id: google-latest
                      - id: google/gemini-3.1-pro-preview
                      - id: google/gemini-3.5-flash
                      - id: xai/grok-4.5
                      - id: zai/glm-5.2
                      - id: moonshot/kimi-k3
        '429':
          $ref: '#/components/responses/RateLimitErrorResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    ListPublicModelsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicModelItem'
    PublicModelItem:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Model identifier
    DetailError:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
          description: Error detail from the API
  responses:
    RateLimitErrorResponse:
      description: Rate limit error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            rateLimitExceeded:
              value:
                detail: 'Rate limit exceeded: 100 per 1 minute'
    InternalServerErrorResponse:
      description: Internal server error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            internalServerError:
              value:
                detail: An internal server error occurred. Please try again later.

````